/*
 Theme Name:   Twenty twelve Child
 Theme URI:    http://example.com/twenty-fifteen-child/
 Description:  Twenty twelve Child Theme
 Author:       Daniel Servranckx
 Author URI:   http://admaris.com
 Template:     twentytwelve
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, two-columns, right-sidebar, responsive-layout, accessibility-ready
 Text Domain:  twentytwelvechild
*/

 /* -------------- TWENTY TWELVE GENERIC OVERRIDES -------------------*/
 /*
  * Set things up for width less than 600px... the rest is set  via the @media screen at the bottom
  */
 html {
font-size:90%;
}
 body {
color:#000;
}
 body .site {
margin-top:1rem; margin-bottom:1rem; padding:0 1.0em;
}

 .header-image {
margin-top:1rem;
}
.site-header h1 {
font-size:1.25rem;height:2rem;margin:1rem auto 0 auto;
}
.archive-header h1, .page-header h1 {
font-size:1.15rem; height:2rem; margin:0 auto; color:#0c903f;
}
.site-header h1.site-title a {
color: #272974; white-space:nowrap;
}
.site-header h1.site-title a:hover {
color: #0c903f !important;
}
.site-header h2 {
display:none;
color:#0c903f !important;
width:90%;
}
.site-content article {
margin-bottom:1rem; padding:0;
}
.entry-header .entry-title, .archive-header .archive-title {
font-size: 120%;font-weight:700;text-transform: capitalize; width:98%;
}
.entry-header .entry-title {
color:#900;
margin-bottom:.5rem;
}
.entry-header {
margin-bottom:.2rem;
}
.archive-header, .page-header {
margin:0 !important;padding:0 0 .75rem 0;
}
.entry-title a {
    font-size:90% !important;
}
/*.entry-content img, .comment-content img, .widget img, img.header-image, .author-avatar img, img.wp-post-image { */
img.header-image {
border-radius: 10px;
}
body.full-width .entry-header .entry-title {
padding-left:0 !important;
}
.page .entry-header .entry-title, .page .archive-header .archive-title {
font-size: 150%;color:#900;text-align:center;
}
.site-content {
margin: 0;
}
.menu-toggle, button, input[type="submit"], input[type="button"], input[type="reset"] {
color: #222;font-size:.9rem;
}
article.sticky .featured-post {
display:none;
}
article.post {
margin-bottom:.5rem;
}
h3.widget-title {
font-size:90%;
}
.widget-area {
margin: 0;
}
.widget-area .widget {
margin-bottom: 1rem;
}
.widget-area .widget h3 {
margin-bottom:0rem;color:#900;
}
.widget-area .widget li.current_page_item a {
text-decoration:underline;
}
footer.entry-meta {
font-size: 0.85rem;line-height: 1.2;margin: 0; border-top:1px dashed #ccc;
}
#content article.sticky {
background-color: #fbfbfb !important; border:1px dashed #999 !important; padding:0.5rem 0.5rem 0.25rem 0.5rem;
}
.site-content, .entry-content, .entry-summary, .mu_register {
padding-left:1%;
}
.entry-content h2{
margin:.75em 0 .25em 0 !important; color:#0c903f !important;font-size:1.25rem; font-weight:bold;
}
.entry-content h2.inpost, .entry-content h2.splash {
font-size:1rem !important; color:#333 !important; font-weight:bold; font-style:italic !important; font-size:1.1rem;
}
.entry-content h2.dark {
color:#fff !important; background-color:#272974; padding:0 0 0 .5rem;
}
.entry-content h2.warning {
color:#900 !important;
}
.entry-content h2.attention {
color:#ff8c00 !important;
}
.entry-content span.light {
color:#fff;
}
.entry-content h3 {
margin: 1em 0 .5em 0 !important; line-height: 1.2; font-size:1.1rem; color:#444 !important;
}
 .entry-content h4 {
margin:1rem 0 0 0 !important;color:#222;
}
div.inpage p {
margin-top:0 !important;
}
.entry-content table, .comment-content table {
color:#474747;
}
.entry-content p, .entry-summary p, .comment-content p, .mu_register p {
line-height: 1.3; margin: 0 0 0.5rem; font-size:.9rem; color:#000;
}
.entry-content p{
width:98%; margin-bottom:.5rem;
}
.entry-content a, .entry-content a:visited, .entry-content a:hover {
font-size:1rem;
}
article.type-page .entry-content p {
margin-top: 1rem;
}
div.box4columns p {
margin-top:.5rem !important;
}

div.buttonsBox {display:table; margin:1rem auto;}
div.singleButtonBox{display:block; margin: 1rem 0;}
button.inline-button {background-color:#eee; padding-left:.7rem; padding-right:.7rem; line-height: 1em !important;}
a.button {font-weight:normal; color:#000 !important;}
.formButton {text-align:center;}

#actionButton, .actionButton {
    margin:auto;
    font-weight: bold;
    font-size: 100%;
    color: #272974 !important;
    background: #eee;
    background: linear-gradient(#eee,#fff);
}
#actionButton:hover, .actionButton:hover {
    font-weight: bold;
    font-size: 100%;
    color: #0c903f !important;
    background: #eee;
    background: linear-gradient(#fff,#eee);
}


article.post .entry-content ul {
margin:0 0 .5rem 0; color:#000;
}
.entry-content li {
line-height:1.2; margin:0.5rem 0 0 2rem; font-size:.9rem;
}
.entry-content ul.splash li, .entry-content ul.inpost li {
margin-top:0;
}
.entry-content ul.sidebyside {
width:48%; float:left; list-style-type: none;
}
.entry-content ul.sidebyside li {
margin: 0; padding: 0 1rem 0 0;
}
.navpage li a, aside li a, .container.table li a {
font-size:1rem !important;
}
.entry-content ul.mainpage, .entry-content ol.mainpage {
margin:.5rem !important;
}
.entry-content ul.mainpage li,  .entry-content ol.mainpage li {
line-height:1.4; margin: 0 0 0 2.57143rem;
}
 div.normal-spacing ul li, div.normal-spacing ol li {
line-height:1.2 !important;
}
footer#colophon {
margin-top: 1rem !important;
padding: 1rem 0!important;
border-top: 1px solid #ccc;
}
.comments-link a:hover, .entry-meta a:hover, footer#colophon a:hover {
color: #0c903f;
}
.nav-single + .comments-area  {
    margin: 1rem 0;
}
a, a:visited {color: #272974 !important;text-decoration:none; font-weight:700;
}
a:hover {
color: #0c903f !important;
}
footer.entry-meta {
color: #777 !important;
}
footer.entry-meta a {
color: #777 !important;
}
.main-navigation {
margin-top: 0.5rem;
width:98%;
}
.main-navigation li {
margin: 0rem;
}
.main-navigation li a {
line-height:1.5rem; text-decoration:none; font-weight:700; padding:0 0.8rem;
}
.main-navigation li.focus a, .main-navigation li.focus a:hover {
color:#226!important;
text-decoration: underline !important;
}
.main-navigation li ul li a {
background-color:#e0e0e0;
color:#226 !important;
}
.main-navigation li ul li a:hover {
background-color:#d7d7d7;
color:#062 !important;
}
.main-navigation .current-menu-item > a, .main-navigation .current-menu-ancestor > a, .main-navigation .current_page_item > a, .main-navigation .current_page_ancestor > a {
color: #272974 !important; font-weight: 700; text-decoration:underline !important;
}
.main-navigation .current-menu-item > a:hover, .main-navigation .current-menu-ancestor > a:hover, .main-navigation .current_page_item > a:hover, .main-navigation .current_page_ancestor > a:hover {
color: #272974 !important; text-decoration:underline !important;
}
.main-navigation ul.menu {
display: none;
}
.main-navigation ul.menu.toggled-on {
display: inline-block;
}
.widget-area .widget a, .widget-area .widget a:visited {
color: #272974 !important; font-size:1rem !important;
}
.widget-area .widget a:hover {
color: #0c903f !important; font-size:1rem !important;
}
.widget-area .widget li.current_page_item a {
color: #272974 !important; font-weight: 700; text-decoration:underline !important;
}
.widget-area #s {
background-color: #fcfcfc; color: #333;}
aside select {
font-size:90% !important;
color:#222;
}
.entry-content blockquote, .comment-content blockquote {
font-style: italic;
margin: 1rem 0;
padding: 0 1.71429rem;
}
/* nsc NEW DESIGN additions */
.minwidth {
min-width:650px;
}
.maxwidth {
max-width:650px;
}
 /* list instead of table for horizontal navigation */
ul.table {
display: table;margin-top:1rem;margin-bottom: .5rem;border-top: 1px solid #ddd;border-bottom:1px solid #ddd;
}
ul.table > li {
display: table-cell;
}
.centered ul.table > li {
padding-left: 1em;padding-right: 1em;text-align:center;
}
ul.table.even {
width: 99.75%;table-layout: fixed;
}
ul.navpage {
margin:0 0 .5rem 0;
}
table.withborder {
border:1px solid #ededed;
}
table.withborder td,
table.withborder th {
border: 1px solid #ededed;
padding-left:.5rem;
padding-right:.5rem;
color: #333;
font-size: 1rem;
text-transform:none;
}
table.noborder {
    border:none;
}
table.noborder td,
table.noborder th {
border: none;
padding:0 .5rem;
color: #333;
font-size: 1rem;
line-height:1.1rem;
}

/* multiColumn and multiHeader added by DS on 2019-02-13 for Ross Ernst membership table */

table.multiColumn {
  border-collapse: collapse;
  border-spacing: 0;
  width: 98%;
  border: none;
  padding:0;
  margin:0;
}
tr.multiColumn {
  border: none;
}
th.multiColumn, td.multiColumn {
  text-align: center;
  color:#333 !important;
  padding: 0 .2rem .2rem .2rem;
  border: none;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height:1.5rem;
}
td.equal, th.equal {
width:33.5%;
}
span.multiHeader, a.multiHeader,
span.multiHeaderSmaller, a.multiHeaderSmaller {
display:block;
-webkit-hyphens: none;
-ms-hyphens: none;
hyphens: none;
}
span.multiHeader, a.multiHeader, a.multiHeader:hover, a.multiHeader:visited {
font-size:1.1rem;
}
span.multiHeaderSmaller, a.multiHeaderSmaller{
font-size:1.0rem;
}
span.multiHeader {
font-weight:bold;
color:#666;
}

span.by-author {display: inline !important; }

img.nomaxzize{
/* Chrome image size problem inside a table */
max-width: none !important;max-height: none !important;
}
/* fix for missing Safari radio buttons and checkboxes */
input[type="radio"] {
-webkit-appearance: radio !important;
}
input[type="checkbox"]{
-webkit-appearance:checkbox !important;
}
 /* nsc.ca older design carry over */
 .subtitle {
line-height:1;padding:0;
}
div.subtitle {
font-size:125%;font-weight:700;
}
.box4columns {
border: medium none;float: left;margin: 0;padding: 0;text-align: left;width: 99.8%;
}
.column1of2 {
border: medium none;float: left;margin: 0;padding: 0;text-align: left;width: 49.5%;
}
.column2of2 {
border: medium none;float: right;margin: 0;padding: 0;text-align: left;width: 49.5%;
}
.morebox {
background-color: #F6F6F6;border: 1px solid #B5C5CF;font-size: 85%;font-weight: 400;margin: 0 2px;padding: 0 3px;text-transform: lowercase; color:#3f3f3f !important;
}
.details {
font-size:90%
}
div.historyback {
margin: 0 0 5px 0;text-align: center;
}
div.historyback button, button.nsc-button {
font-size:90%; line-height:1em !important;
background-color:#e6e6e6 !important;
color:#222;
}
div#stay-connected ul {
list-style: none !important;float:left;
}
div#stay-connected li{
margin-left:0 !important;margin-right:1rem;display:inline;
}

fieldset {
 border:1px solid #ccc; margin:1rem; font-size:95%; padding:.25rem .5rem .25rem;
}
legend {
color:#0c903f; font-weight:700; padding:0 .50rem; border:1px solid #ccc;
}

.fieldset {
margin:2rem 0 1rem 0; padding:0 .5rem;
border:1px solid #393;
padding: 1rem;
}

.legend {
  display:block;
  float:left;
  margin-left:1rem;
  margin-top:-2rem;
  border: 1px solid #393;
  font-weight:700;
  color:#393;
  padding: 0 .5rem;
  background-color:#fff;
}
.bold {
font-weight:700 !important;
}
.warning {
color:#900 !important;
}
.attention {
color:#ff8c00 !important;
}
.faded, .pale {
color: #999!important;
}
.mediumPale {
color: #777!important;
}
.darkPale {
color:#444 !important;
}
.important {
font-weight:700; color:#900 !important;
}
.big {
font-size:110% !important;
}
.small {
font-size: 90% !important;
}
.smallHeader {
font-size:95% !important;
}
.xsmall {
font-size: 75% !important;
}
.normal {
font-weight:normal !important;
}
.underline {
text-decoration:underline !important;
}
.center {text-align:center;}
.left   {text-align:left;}
.right  {text-align:right;}
.top    {vertical-align:top}
.bottom {vertical-align:bottom;}
.middle {vertical-align:middle;}

.nomargin {margin:0 !important;}

#pager, #pager input, #pager select{
font-size:.85rem !important;
}
.displaynone, .displayNone {
display:none;
}
.displayblock, .displayBlock {
display:block;
}
.displaynormal, .displayNormal {
/* use the element default display */
}
.displayinline, .displayInline {
display:inline;
}
.nscaddress {
line-height:1.4;
font-size:95%;
}
.nobreak {
white-space:nowrap;
}
img.roundcorner {
border-radius: 10px;
}
input, select, textarea {
background-color:#fefefe !important; color:#222 !important;
}
.clearboth {clear:both}
.clearright {clear:right}
.clearleft {clear:left}
/* ----------- Global Overrides - KEEP THIS LAST BEFORE @media ------------ */
a.ab-item {
color:#CCC !important;
}
 /* in wpadminbar */a.ab-item:hover {
color: #2EA2CC !important;
}
 /* in wpadminbar */

/* --------------------- Mozilla Firefox only ------------------------------*/
 @-moz-document url-prefix() {

}
/* ------------------- END Mozilla Firefox only ---------------------------*/

/* -------------------------- END OF COMMON CSS -------------------------- */
/* -- ADAPTIVE DESIGN - Minimum width of 600 pixels. --*/
@media screen and (min-width: 600px) {
body .site {
padding: 0 2.85714rem;
}

.site-header {
padding: 1.71429rem 0 1rem;
margin-left:1%;
}
.site-header {
background: url("/images/nsc-logo-narrow.png") no-repeat scroll left top transparent;
}
.site-header h1 {
font-size: 1.8rem;
line-height: 1.28571;
margin-bottom: 0.25rem;
margin-left: 2em;
margin-top: 0;
}
.site-header h2 {
display: inline-block;
font-size: 0.85rem;
font-weight: 700;
line-height: 1.2;
margin-left: 5.25rem;
min-height: 1.5rem;
padding-top: 0.5rem;
width: 80%;
}
.site-content {
float: left;width: 71.6145824%;
}
.main-navigation ul.menu {
border-bottom: 1px solid #ededed;border-top: 1px solid #ededed;display: inline-block !important;text-align: left;width: 100%;
}

  span.multiHeader, a.multiHeader{
    font-size:inherit;
  }

}

/* added by DS on 2019-02-13 for Ross Ernst membership table */
@media only screen and (max-width: 480px) {
/* horizontal scrollbar for tables if mobile screen */
  .tableMobile {
     overflow-x: auto;
     display: block;
  }

  th.tableMobile, td.tableMobile {
  padding: .1rem !important;
  line-height:1.1rem !important;
  }

  span.tableMobile, a.tableMobile{
  font-size:1rem !important;
  white-space:normal;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
  }
}

/* -- PRINT --*/
@media print {
header#masthead {
display:none;
}
div.historyback {
display:none;
}
/* NSC ADDITION */
.displaynone, .displayNone {
display:none;
}

}
